×

Discussion Board

Results 1 to 5 of 5
  1. #1
    Registered User
    Join Date
    Aug 2005
    Posts
    18

    5140/5140i invalid application error

    Hi everyone,

    I have a strange one for you all. I have developed an app in J2ME that installs and runs fine on a Nokia 5140 but when I install it on a 5140i and try to run it, it says "Invalid application". As far as I can tell, the 5140 and 5140i are pretty much identical in terms of OS and Java specifications. The only nokia specific API i am using is NokiaUI which according to the spec both phones have. Any ideas?

    Cheers,
    Neil

  2. #2
    Super Contributor
    Join Date
    Apr 2003
    Location
    USA, CA
    Posts
    7,191

    Re: 5140/5140i invalid application error

    Can you show what your manifest and jad files have eaten?

  3. #3
    Super Contributor
    Join Date
    Nov 2003
    Location
    Bangalore , India
    Posts
    4,429

    Re: 5140/5140i invalid application error

    Are you using the same jar on both devices? In case you have missed, please make sure that your JAD and MF entries are correct and they match each other! Have you tried some other apps in your 5140i? Does they work fine?

    Regards
    Gopal

  4. #4
    Registered User
    Join Date
    Aug 2005
    Posts
    18

    Re: 5140/5140i invalid application error

    Here are my JAD and MF files:

    JAD:
    MIDlet-Name: FST
    MIDlet-Version: 1.0.0.5
    MIDlet-Vendor: Actaris
    MicroEdition-Profile: MIDP-2.0
    MicroEdition-Configuration: CLDC-1.1
    MIDlet-Jar-URL: FST.jar
    MIDlet-Jar-Size: 58035
    MIDlet-1: FSTMidlet, /icons/FSTIcon16x16.PNG, com.actaris.FST.FSTMidlet

    MF:
    Manifest-Version: 1.0
    MicroEdition-Configuration: CLDC-1.1
    MIDlet-Name: FST
    MIDlet-Vendor: Actaris
    MIDlet-1: FSTMidlet, /icons/FSTIcon16x16.PNG, com.actaris.FST.FSTMidlet
    MIDlet-Version: 1.0.0.5
    MicroEdition-Profile: MIDP-2.0

    Yes, the same JAR works on 5140 but not on 5140i. I tried a simple app that displays snow-like interferance I downloaded and it works on both phones.

    Anymore ideas/thoughts?

    Thanks for your replies so far!

  5. #5
    Registered User
    Join Date
    Aug 2005
    Posts
    18

    Re: 5140/5140i invalid application error

    For anyone that is interested, the answer to this problem lies in the format of the MIDlet-Version property.

    http://developers.sun.com/techtopics...ion/index.html

    Basically, my version number had one too many decimal places for the 5140i phone. The above link discusses the correct format of version numbers. It seems that not sticking to that format might work on some phones, but might not on others. So best to stick to the format described!

Similar Threads

  1. Replies: 7
    Last Post: 2006-03-26, 18:25
  2. Replies: 0
    Last Post: 2006-03-25, 10:19
  3. S80 Platform SDK and Visual Studio .NET Linking Error
    By jayantjain in forum Mobile Java Tools & SDKs
    Replies: 1
    Last Post: 2005-10-07, 22:14
  4. Building
    By pacman2000z in forum Symbian Tools & SDKs
    Replies: 0
    Last Post: 2003-07-17, 10:44
  5. Unable to run application error inside the application
    By prakala in forum Mobile Java General
    Replies: 2
    Last Post: 2003-05-27, 22:46

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×